(***********************************************************************)
(*                                                                     *)
(*                         Caml Special Light                          *)
(*                                                                     *)
(*            Xavier Leroy, projet Cristal, INRIA Rocquencourt         *)
(*                                                                     *)
(*  Copyright 1995 Institut National de Recherche en Informatique et   *)
(*  Automatique.  Distributed only by permission.                      *)
(*                                                                     *)
(***********************************************************************)

(* typemod.mli,v 1.7 1995/10/09 12:13:42 rouaix Exp *)

(* Type-checking of the module language *)

open Typedtree

val type_structure:
        Env.t -> Parsetree.structure -> structure * signature * Env.t
val transl_signature:
        Env.t -> Parsetree.signature -> signature
val check_nongen_schemes:
        structure -> unit

type error =
    Unbound_module of Longident.t
  | Unbound_modtype of Longident.t
  | Cannot_apply of module_type
  | Not_included of Includemod.error list
  | Cannot_eliminate_dependency of module_type
  | Signature_expected
  | Structure_expected of module_type
  | With_no_component of Longident.t
  | Repeated_name of string * string
  | Non_generalizable of type_expr

exception Error of Location.t * error

val report_error: error -> unit
